command: docker trust revoke
short: Remove trust for an image
long: '`docker trust revoke` removes signatures from tags in signed repositories.'
usage: docker trust revoke [OPTIONS] IMAGE[:TAG]
pname: docker trust
plink: docker_trust.yaml
options:
- option: "yes"
  shorthand: "y"
  value_type: bool
  default_value: "false"
  description: Do not prompt for confirmation
  deprecated: false
  experimental: false
  experimentalcli: false
  kubernetes: false
  swarm: false
examples: "### Revoke signatures from a signed tag\n\nHere's an example of a repo
  with two signed tags:\n\n\n```bash\n$ docker trust view example/trust-demo\nSIGNED
  TAG          DIGEST                                                              SIGNERS\nred
  \                852cc04935f930a857b630edc4ed6131e91b22073bcc216698842e44f64d2943
  \   alice\nblue                f1c38dbaeeb473c36716f6494d803fbfbe9d8a76916f7c0093f227821e378197
  \   alice, bob\n\nList of signers and their keys for example/trust-demo:\n\nSIGNER
  \             KEYS\nalice               05e87edcaecb\nbob                 5600f5ab76a2\n\nAdministrative
  keys for example/trust-demo:\nRepository Key:\tecc457614c9fc399da523a5f4e24fe306a0a6ee1cc79a10e4555b3c6ab02f71e\nRoot
  Key:\t3cb2228f6561e58f46dbc4cda4fcaff9d5ef22e865a94636f82450d1d2234949\n```\n\nWhen
  `alice`, one of the signers, runs `docker trust revoke`:\n\n```bash\n$ docker trust
  revoke example/trust-demo:red\nEnter passphrase for delegation key with ID 27d42a8:\nSuccessfully
  deleted signature for example/trust-demo:red\n```\n\nAfter revocation, the tag is
  removed from the list of released tags:\n\n```bash\n$ docker trust view example/trust-demo\nSIGNED
  TAG          DIGEST                                                              SIGNERS\nblue
  \               f1c38dbaeeb473c36716f6494d803fbfbe9d8a76916f7c0093f227821e378197
  \   alice, bob\n\nList of signers and their keys for example/trust-demo:\n\nSIGNER
  \             KEYS\nalice               05e87edcaecb\nbob                 5600f5ab76a2\n\nAdministrative
  keys for example/trust-demo:\nRepository Key:\tecc457614c9fc399da523a5f4e24fe306a0a6ee1cc79a10e4555b3c6ab02f71e\nRoot
  Key:\t3cb2228f6561e58f46dbc4cda4fcaff9d5ef22e865a94636f82450d1d2234949\n```\n\n###
  Revoke signatures on all tags in a repository\n\nWhen no tag is specified, `docker
  trust` revokes all signatures that you have a signing key for.\n\n```bash\n$ docker
  trust view example/trust-demo\nSIGNED TAG          DIGEST                                                              SIGNERS\nred
  \                852cc04935f930a857b630edc4ed6131e91b22073bcc216698842e44f64d2943
  \   alice\nblue                f1c38dbaeeb473c36716f6494d803fbfbe9d8a76916f7c0093f227821e378197
  \   alice, bob\n\nList of signers and their keys for example/trust-demo:\n\nSIGNER
  \             KEYS\nalice               05e87edcaecb\nbob                 5600f5ab76a2\n\nAdministrative
  keys for example/trust-demo:\nRepository Key:\tecc457614c9fc399da523a5f4e24fe306a0a6ee1cc79a10e4555b3c6ab02f71e\nRoot
  Key:\t3cb2228f6561e58f46dbc4cda4fcaff9d5ef22e865a94636f82450d1d2234949\n```\n\nWhen
  `alice`, one of the signers, runs `docker trust revoke`:\n\n```bash\n$ docker trust
  revoke example/trust-demo\nPlease confirm you would like to delete all signature
  data for example/trust-demo? [y/N] y\nEnter passphrase for delegation key with ID
  27d42a8:\nSuccessfully deleted signature for example/trust-demo\n```\n\nAll tags
  that have `alice`'s signature on them are removed from the list of released tags:\n\n```bash\n$
  docker trust view example/trust-demo\n\nNo signatures for example/trust-demo\n\n\nList
  of signers and their keys for example/trust-demo:\n\nSIGNER              KEYS\nalice
  \              05e87edcaecb\nbob                 5600f5ab76a2\n\nAdministrative
  keys for example/trust-demo:\nRepository Key:\tecc457614c9fc399da523a5f4e24fe306a0a6ee1cc79a10e4555b3c6ab02f71e\nRoot
  Key:\t3cb2228f6561e58f46dbc4cda4fcaff9d5ef22e865a94636f82450d1d2234949\n```"
deprecated: false
experimental: false
experimentalcli: false
kubernetes: false
swarm: false

